Returns the size of the IV belonging to a specific cipher/mode combination

- « mcrypt_get_cipher_name

- mcrypt_get_key_size »

- PHP Manual
- Mcrypt Functions
- Returns the size of the IV belonging to a specific cipher/mode combination

# mcrypt_get_iv_size

(PHP 4 >= 4.0.2, PHP 5, PHP 7 < 7.2.0, PECL mcrypt >= 1.0.0)

mcrypt_get_iv_size — Returns the size of the IV belonging to a specific cipher/mode combination

Warning

This function has been DEPRECATED as of PHP 7.1.0 and REMOVED as of PHP 7.2.0. Relying on this function is highly discouraged.

### Description

mcrypt_get_iv_size(string `$cipher`, string `$mode`): int

Gets the size of the IV belonging to a specific `cipher`/`mode` combination.

It is more useful to use the mcrypt_enc_get_iv_size() function as this uses the resource returned by mcrypt_module_open().

### Parameters

`cipher`

  One of the `MCRYPT_ciphername` constants, or the name of the algorithm as string.

`mode`

  One of the `MCRYPT_MODE_modename` constants, or one of the following strings: "ecb", "cbc", "cfb", "ofb", "nofb" or "stream".

  The IV is ignored in ECB mode as this mode does not require it. You will need to have the same IV (think: starting point) both at encryption and decryption stages, otherwise your encryption will fail.

### Return Values

Returns the size of the Initialization Vector (IV) in bytes. On error the function returns `false`. If the IV is ignored in the specified cipher/mode combination zero is returned.

### Examples

Example #1 mcrypt_get_iv_size() Example

    <?php    echo mcrypt_get_iv_size(MCRYPT_CAST_256, MCRYPT_MODE_CFB) . "\n";    echo mcrypt_get_iv_size('des', 'ecb') . "\n";?>

### See Also

- mcrypt_get_block_size() - Gets the block size of the specified cipher
- mcrypt_enc_get_iv_size() - Returns the size of the IV of the opened algorithm
- mcrypt_create_iv() - Creates an initialization vector (IV) from a random source